#ifndef fooalsasourceoldhfoo
#define fooalsasourceoldhfoo

/***
  This file is part of PulseAudio.

  Copyright (C) 2008-2009 Nokia Corporation and/or its subsidiary(-ies).
  Copyright 2004-2006 Lennart Poettering
  Copyright 2006 Pierre Ossman <ossman@cendio.se> for Cendio AB

  PulseAudio is free software; you can redistribute it and/or modify
  it under the terms of the GNU Lesser General Public License as published
  by the Free Software Foundation; either version 2 of the License,
  or (at your option) any later version.

  PulseAudio is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
  General Public License for more details.

  You should have received a copy of the GNU Lesser General Public License
  along with PulseAudio; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
  USA.
***/

#include <pulsecore/card.h>
#include <pulsecore/modargs.h>
#include <pulsecore/module.h>
#include <pulsecore/source.h>

#include "alsa-mixer.h"

pa_source* pa_alsa_source_old_new(pa_module *m, pa_modargs *ma, const char *driver, pa_card *card, pa_alsa_mapping *mapping);

void pa_alsa_source_old_free(pa_source *s);

/* Depending on how the source was loaded, it has either a normal path set,
 * just one synthesized path or no paths at all (i.e. it doesn't touch any alsa
 * mixer elements). Those three cases determine whether this function will set
 * path_set or path to non-NULL value, or whether both will be set to NULL.
 *
 * Before calling this or the normal pa_alsa_source_get_path_set(), check the
 * value of the source's PA_PROP_ALSA_VARIANT property! If that's set to "old",
 * then use this function, and if it's not, then use
 * pa_alsa_source_get_paths(). */
void pa_alsa_source_old_get_paths(pa_source *s, pa_alsa_path_set **path_set, pa_alsa_path **path);

#endif
